Package: groovy.console.ui

## [Groovy] Class GeneratedBytecodeAwareGroovyClassLoader

- groovy.console.ui.GeneratedBytecodeAwareGroovyClassLoader

-     @CompileStatic
      class GeneratedBytecodeAwareGroovyClassLoader
      extends GroovyClassLoader

  Groovy class loader that retains generated bytecode for AST Browser inspection.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyClassLoader` | `classCache, sourceCache`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)` Creates a class loader that records generated bytecode.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clearBytecodeTable()` Clears any previously captured bytecode.
    `` | `protected GroovyClassLoader.ClassCollector` | `createCollector(CompilationUnit unit, SourceUnit su)` Creates a collector that stores generated bytecode for later display.
    `` | `byte[]` | `getBytecode(String className)` Returns the captured bytecode for the named class.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `addClasspath, addURL, clearCache, close, createCollector, createCompilationUnit, defineClass, defineClass, genEncodingString, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, hasCompatibleConfiguration, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile`

- - ### Constructor Detail

    - #### GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)

      Creates a class loader that records generated bytecode.

      Parameters:
        `parent` - parent class loader

  - ### Method Detail

    - #### void clearBytecodeTable()

      Clears any previously captured bytecode.

    - #### @Override
      protected GroovyClassLoader.ClassCollector createCollector(CompilationUnit unit, SourceUnit su)

      Creates a collector that stores generated bytecode for later display.

    - #### byte[] getBytecode(String className)

      Returns the captured bytecode for the named class.

      Parameters:
        `className` - fully qualified class name
      Returns:
        the captured bytecode, or `null` if unavailable